Browse files

Cleanup

  • Loading branch information...
1 parent 9e7eace commit f31a233af225a662c4d5bb71c829a1b398801ef5 Rafael Mendonça França committed Mar 8, 2012
Showing with 11 additions and 23 deletions.
  1. +4 −0 CHANGELOG
  2. +5 −9 Gemfile
  3. +0 −10 Gemfile.lock
  4. +1 −2 Rakefile
  5. +1 −2 inherited_resources.gemspec
View
4 CHANGELOG
@@ -1,3 +1,7 @@
+# Version 1.3.1
+
+* Fix polymorphic_belongs_to to get the parent
+
# Version 1.3.0
* Added support for multiple polymorphic optional nesting
View
14 Gemfile
@@ -1,10 +1,6 @@
-source "http://rubygems.org"
+source :rubygems
-gem "rails", "3.1.2"
-gem "responders", "~> 0.6.0"
-gem "has_scope", "~> 0.5.0"
-gem "mocha"
-
-if RUBY_VERSION < "1.9"
- gem "ruby-debug"
-end
+gem 'rails', '3.1.2'
+gem 'responders', '~> 0.6.0'
+gem 'has_scope', '~> 0.5.0'
+gem 'mocha'
View
10 Gemfile.lock
@@ -31,14 +31,11 @@ GEM
multi_json (~> 1.0)
arel (2.2.1)
builder (3.0.0)
- columnize (0.3.5)
erubis (2.7.0)
has_scope (0.5.1)
hike (1.2.1)
i18n (0.6.0)
json (1.6.3)
- linecache (0.46)
- rbx-require-relative (> 0.0.4)
mail (2.3.0)
i18n (>= 0.4.0)
mime-types (~> 1.16)
@@ -74,15 +71,9 @@ GEM
rdoc (~> 3.4)
thor (~> 0.14.6)
rake (0.9.2.2)
- rbx-require-relative (0.0.5)
rdoc (3.11)
json (~> 1.4)
responders (0.6.4)
- ruby-debug (0.10.4)
- columnize (>= 0.1)
- ruby-debug-base (~> 0.10.4.0)
- ruby-debug-base (0.10.4)
- linecache (>= 0.3)
sprockets (2.1.2)
hike (~> 1.2)
rack (~> 1.0)
@@ -102,4 +93,3 @@ DEPENDENCIES
mocha
rails (= 3.1.2)
responders (~> 0.6.0)
- ruby-debug
View
3 Rakefile
@@ -1,8 +1,7 @@
# encoding: UTF-8
-require 'rake'
require 'rake/testtask'
-require 'rake/rdoctask'
+require 'rdoc/task'
desc 'Run tests for InheritedResources.'
Rake::TestTask.new(:test) do |t|
View
3 inherited_resources.gemspec
@@ -16,9 +16,8 @@ Gem::Specification.new do |s|
s.files = `git ls-files`.split("\n")
s.test_files = `git ls-files -- {test,spec,features}/*`.split("\n")
- s.executables = `git ls-files -- bin/*`.split("\n").map{ |f| File.basename(f) }
s.require_paths = ["lib"]
s.add_dependency("responders", "~> 0.6.0")
s.add_dependency("has_scope", "~> 0.5.0")
-end
+end

0 comments on commit f31a233

Please sign in to comment.